更新linux内核遇到了一点问题。。。 google不到的问题。。

系统安装、升级讨论
回复
xinqijisuper
帖子: 87
注册时间: 2012-09-23 14:48
系统: 10.04 and 12.04
送出感谢: 7 次
接收感谢: 0

更新linux内核遇到了一点问题。。。 google不到的问题。。

#1

帖子 xinqijisuper » 2013-02-26 15:13

我在这个网页下载的内核文件,都是deb包。
http://kernel.ubuntu.com/~kernel-ppa/ma ... 4-precise/

linux-headers-3.4.0-030400-generic-pae_3.4.0-030400.201205210521_i386.deb 21-May-2012 09:41 864K
linux-headers-3.4.0-030400-generic_3.4.0-030400.201205210521_amd64.deb 21-May-2012 09:28 887K
linux-headers-3.4.0-030400-generic_3.4.0-030400.201205210521_i386.deb 21-May-2012 09:35 863K
linux-headers-3.4.0-030400_3.4.0-030400.201205210521_all.deb 21-May-2012 09:21 11M
linux-image-3.4.0-030400-generic-pae_3.4.0-030400.201205210521_i386.deb 21-May-2012 09:41 36M
linux-image-3.4.0-030400-generic_3.4.0-030400.201205210521_amd64.deb 21-May-2012 09:28 37M
linux-image-3.4.0-030400-generic_3.4.0-030400.201205210521_i386.deb 21-May-2012 09:35 36M
1,这些包的区别是什么? generic-pae 与generic的区别我知道。 那 linux-image和linux-header的区别是? linux-generic 是什么意思?
2,为什么我在apt-get软件源里更新内核找不到3.4版本? 而是从3.2直接跳到3.5去了。。
http://kernel.ubuntu.com/testing/index.html 这个网址下的也是这样。 难道3.4不适合装在ubuntu上?
3,更新内核会出什么问题么?软件不兼容,硬件不兼容? 内核是不是越新越好?如果我更新到最新的测试版3.8呢,是不是很容易出问题??
头像
艾徳庄
帖子: 74
注册时间: 2013-02-07 11:36
系统: debian wheezy
送出感谢: 5 次
接收感谢: 2 次

Re: 更新linux内核遇到了一点问题。。。 google不到的问题。。

#2

帖子 艾徳庄 » 2013-02-26 17:10

顶帖,我也想知道,望高手告知,谢谢!
这些用户感谢了作者 艾徳庄 于这个帖子:
xinqijisuper (2013-02-26 17:21)
评价: 3.7%
头像
YeLee
论坛版主
帖子: 26408
注册时间: 2008-08-13 8:48
系统: Fundu i64
来自: 东海硇州,一双管钥。
送出感谢: 25 次
接收感谢: 307 次
联系:

Re: 更新linux内核遇到了一点问题。。。 google不到的问题。。

#3

帖子 YeLee » 2013-02-26 17:26

1、linux-image和linux-header的区别是主内核跟头文件的区别啊,一个是必须装的,一个需要一些额外支持的模块是必需的。不过是deb系拆包比较细而已,把内核拆分为几个包而已。
2、这个问题很难解释,不是适不适合的问题吧,具体还得看发行版的策略吧,在子版本号上跳跃并没有什么奇怪的,早就没有当年主版本号跳跃的那痛苦了,更何况这Ubuntu又不支持滚动升级,跳过一两个版本不为怪吧。
3、更新内核一般是不会出问题的,不过,还得看发行版的策略吧,有些驱动支持会在新内核里面移除也不为怪。内核一般越新,就有越多新硬件被支持,测试版内核不稳定也不一定,具体还得看你怎么解决支持的问题吧,不稳定的东西移除便可。
这些用户感谢了作者 YeLee 于这个帖子 (主题 2):
艾徳庄 (2013-02-26 17:45) • xinqijisuper (2013-02-26 18:52)
评价: 7.41%
◎当我站在道德的高度上俯视别人的时候,发现自己是多么渺小。
♥执着但不偏激,反对而不排斥,坚决捍卫矛盾体的存在方式。
★★★天气预报★★★
fcitx-yatable一个可以使用的码表输入法
[教程]几个实例攻克软件编译难关
Gentoo Development Guide
字体相关
xinqijisuper
帖子: 87
注册时间: 2012-09-23 14:48
系统: 10.04 and 12.04
送出感谢: 7 次
接收感谢: 0

Re: 更新linux内核遇到了一点问题。。。 google不到的问题。。

#4

帖子 xinqijisuper » 2013-02-26 18:56

YeLee 写了:1、linux-image和linux-header的区别是主内核跟头文件的区别啊,一个是必须装的,一个需要一些额外支持的模块是必需的。不过是deb系拆包比较细而已,把内核拆分为几个包而已。
2、这个问题很难解释,不是适不适合的问题吧,具体还得看发行版的策略吧,在子版本号上跳跃并没有什么奇怪的,早就没有当年主版本号跳跃的那痛苦了,更何况这Ubuntu又不支持滚动升级,跳过一两个版本不为怪吧。
3、更新内核一般是不会出问题的,不过,还得看发行版的策略吧,有些驱动支持会在新内核里面移除也不为怪。内核一般越新,就有越多新硬件被支持,测试版内核不稳定也不一定,具体还得看你怎么解决支持的问题吧,不稳定的东西移除便可。
太感谢了! 我一开始只装了linux-image,这样就和我的显卡驱动兼容了,这个应该是主内核。 但是virtualbox出了问题,我就又装了all 和header。 您能给简单得解释下吗??
头像
YeLee
论坛版主
帖子: 26408
注册时间: 2008-08-13 8:48
系统: Fundu i64
来自: 东海硇州,一双管钥。
送出感谢: 25 次
接收感谢: 307 次
联系:

Re: 更新linux内核遇到了一点问题。。。 google不到的问题。。

#5

帖子 YeLee » 2013-02-26 20:24

没有错误提示的问题没有解释的必要。 :em01 :em01 :em01
这些用户感谢了作者 YeLee 于这个帖子:
xinqijisuper (2013-02-27 8:29)
评价: 3.7%
◎当我站在道德的高度上俯视别人的时候,发现自己是多么渺小。
♥执着但不偏激,反对而不排斥,坚决捍卫矛盾体的存在方式。
★★★天气预报★★★
fcitx-yatable一个可以使用的码表输入法
[教程]几个实例攻克软件编译难关
Gentoo Development Guide
字体相关
xinqijisuper
帖子: 87
注册时间: 2012-09-23 14:48
系统: 10.04 and 12.04
送出感谢: 7 次
接收感谢: 0

Re: 更新linux内核遇到了一点问题。。。 google不到的问题。。

#6

帖子 xinqijisuper » 2013-02-27 8:28

YeLee 写了:没有错误提示的问题没有解释的必要。 :em01 :em01 :em01
哦, 我只是想多了解一下为什么是那样, 谢谢了哈!
回复

回到 “系统安装和升级”